%define api 1
%define major 0
%define libname %mklibname %name %api %major
%define libecore %mklibname %name-ecore %api %major
%define libglib %mklibname %name-glib %api %major
%define develname %mklibname -d %name

Summary:	Native C++ bindings for D-Bus
Name:		dbus-c++
Version:	0.9.0
Release:	%mkrel 14
Group:		System/Libraries
License:	LGPLv2+
URL:		https://sourceforge.net/apps/mediawiki/dbus-cplusplus/index.php?title=Main_Page
Source0:	https://downloads.sourceforge.net/dbus-cplusplus/libdbus-c++-%{version}.tar.gz
Patch0:		libdbus-c++-0.9.0-link.patch
Patch1:		libdbus-c++-0.9.0-gcc47.patch
# Fix collision between macro bind_property in dbus-c++/interface.h and method
# bind_property in glibmm/binding.h
Patch3: dbus-c++-macro_collision.patch
# Remove broken classes for multithreading support
# https://sourceforge.net/p/dbus-cplusplus/patches/18/
Patch4: dbus-c++-threading.patch
# https://sourceforge.net/p/dbus-cplusplus/patches/19/
Patch5: dbus-c++-writechar.patch
# Fix template/operator issues
# https://github.com/pkgw/dbus-cplusplus/commit/a0b9ef3b469ca23c6a3229d8abb967cbbddcee38
Patch6: dbus-c++-template-operators.patch
BuildRequires: pkgconfig(dbus-1) >= 0.60
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(expat)

%description
Native C++ bindings for D-Bus for use in C++ programs.

%package -n %libname
Group:		System/Libraries
Summary:	Native C++ bindings for D-Bus

%description -n %libname
Native C++ bindings for D-Bus for use in C++ programs.

%package -n %libecore
Group:		System/Libraries
Summary:	Ecore integration for %name

%description -n %libecore
Ecore integration for %name.

%package -n %libglib
Group:		System/Libraries
Summary:	Glib integration for %name

%description -n %libglib
Glib integration for %name.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libecore} = %{version}-%{release}
Requires:	%{libglib} = %{version}-%{release}
Requires:	%name >= %version-%release
Provides:	%name-devel = %{version}-%{release}

%description	-n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n lib%{name}-%{version}
%autopatch -p1

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.ac

%build
autoreconf -fi
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING AUTHORS
%{_bindir}/dbusxx-introspect
%{_bindir}/dbusxx-xml2cpp

%files -n %libname
%{_libdir}/libdbus-c++-%{api}.so.%{major}{,.*}

%files -n %libecore
%{_libdir}/libdbus-c++-ecore-%{api}.so.%{major}{,.*}

%files -n %libglib
%{_libdir}/libdbus-c++-glib-%{api}.so.%{major}{,.*}

%files -n %develname
%doc TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sun Apr 10 2022 wally <wally> 0.9.0-14.mga9
+ Revision: 1848505
- add patch via Fedora to fix template/operator issues
- sync .spec a bit with Fedora
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.9.0-13.mga8
+ Revision: 1511817
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-12.mga7
+ Revision: 1297412
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Sep 28 2017 cjw <cjw> 0.9.0-10.mga7
+ Revision: 1160923
- add two patches from fedora to fix build problems with gcc 7

* Thu Feb 11 2016 umeabot <umeabot> 0.9.0-9.mga6
+ Revision: 953665
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 0.9.0-8.mga6
+ Revision: 871096
- compile C++ code with -std=gnu++11
- patch2: fix another build problem (patch from fedora)
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-7.mga5
+ Revision: 745563
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 693731
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 678684
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-4.mga4
+ Revision: 503802
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.0-3.mga3
+ Revision: 348642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.9.0-2.mga3
+ Revision: 336606
- fix build with new automake 1.13

* Sat Jul 28 2012 fwang <fwang> 0.9.0-1.mga3
+ Revision: 275185
- fix linkage of test program
- update file list
- update file list
- more linkage
- fix build with gcc 47
- fix linking
- br expat
- new version 0.9.0

* Fri Apr 01 2011 ahmad <ahmad> 0.5.0-0.20090203.4.mga1
+ Revision: 79508
- imported package dbus-c++

